<?php
namespace Util\Instance;

use Zeedhi\Framework\DependencyInjection\InstanceManager;
use Util\Instance\GeneralProvider;

class FactoryInstance {

    /** @return  \Factory\Repositorio */
    public static function getRepositorio()
    {
        return InstanceManager::getInstance()->getService('\Factory\Repositorio');
    }

    /** @return  \Factory\Structure */
    public static function getMtDesignEstrutura()
    {
        return InstanceManager::getInstance()->getService('\Factory\Structure');
    }

    /** @return  \Factory\StructureTask */
    public static function getMtDesignEstruturaTask()
    {
        return InstanceManager::getInstance()->getService('\Factory\StructureTask');
    }

    /** @return  \Factory\Table */
    public static function getTable()
    {
        return InstanceManager::getInstance()->getService('\Factory\Table');
    }

    /** @return  \Factory\Objects */
    public static function getObjects()
    {
        return InstanceManager::getInstance()->getService('\Factory\Objects');
    }

    /** @return  Factory */
    public static function getInstance()
    {
        return new static();
    }
}
